Skip to main content
PUT
/
v1
/
shipping
/
retailers
/
{id}
/
routing-guides
/
{guide_id}
Update Retailer Routing Guide metadata
curl --request PUT \
  --url https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides/{guide_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>"
}
'
{
  "errors": [
    {
      "type": "parameters",
      "message": "The supplied parameters are invalid.",
      "details": [
        {
          "key": "hold_until_date",
          "message": "The date must be in the future."
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the parent Retailer.

Required range: x >= 1
guide_id
integer<int32>
required

The id of the referenced RetailerRoutingGuide.

Required range: x >= 1

Body

application/json

Metadata-only update.

title
string | null

Optional title. Set to NULL or omit to keep the existing value.

Maximum string length: 255
description
string | null

Optional long-form notes. Set to NULL or omit to keep the existing value.

Response

OK - The operation completed successfully and there is no response body.